Community

Forums » SEPHP Help and Tips

Parameter must be an array or an object that... Error

    • 2 posts
    May 12, 2018 11:19 PM EDT

    Hello,

    I am attempting to move my Social Engine install to a new VPS (old VPS PHP 5.6, new VPS PHP 7.2) and I am receiving the error below. I have followed the steps here: https://support.socialengine.com/php/customer/en/portal/articles/2019547-moving-your-website-to-another-server?b_id=14386

    Any help is greatly appreciated.

    Thank you!

    Drew

     

    <pre id="hterm:copy-to-clipboard-source">2018-05-13T03:11:25+00:00 ERR (3): Error Code: 354c5a Zend_Session_Exception: Zend_Session::start() - /mnt/disks/disk-1/www/html/application/libraries/Zend/Db/Table/Abstract.php(Line:1307): Error #2 count(): Parameter must be an array or an object that implements Countable /mnt/disks/disk-1/www/html/application/libraries/Zend/Db/Table/Abstract.php(Line:1307): Error #2 count(): Parameter must be an array or an object that implements Countable in /mnt/disks/disk-1/www/html/application/libraries/Zend/Session.php:495 Stack trace: #0 /mnt/disks/disk-1/www/html/application/libraries/Zend/Session/Namespace.php(143): Zend_Session::start(true) #1 /mnt/disks/disk-1/www/html/application/libraries/Zend/Auth/Storage/Session.php(86): Zend_Session_Namespace->__construct('Zend_Auth') #2 /mnt/disks/disk-1/www/html/application/libraries/Zend/Auth.php(91): Zend_Auth_Storage_Session->__construct() #3 /mnt/disks/disk-1/www/html/application/libraries/Zend/Auth.php(151): Zend_Auth->getStorage() #4 /mnt/disks/disk-1/www/html/application/modules/User/Api/Core.php(128): Zend_Auth->getIdentity() #5 /mnt/disks/disk-1/www/html/application/modules/User/Bootstrap.php(34): User_Api_Core->getViewer() #6 /mnt/disks/disk-1/www/html/application/modules/Core/Bootstrap.php(921): User_Bootstrap->__construct(Object(Core_Bootstrap)) #7 /mnt/disks/disk-1/www/html/application/libraries/Engine/Application/Bootstrap/Abstract.php(256): Core_Bootstrap->_initModules() #8 /mnt/disks/disk-1/www/html/application/libraries/Engine/Application/Bootstrap/Abstract.php(207): Engine_Application_Bootstrap_Abstract->_executeResource('modules') #9 /mnt/disks/disk-1/www/html/application/libraries/Engine/Application/Bootstrap/Abstract.php(150): Engine_Application_Bootstrap_Abstract->_bootstrap('modules') #10 /mnt/disks/disk-1/www/html/application/libraries/Engine/Application.php(149): Engine_Application_Bootstrap_Abstract->bootstrap(NULL) #11 /mnt/disks/disk-1/www/html/application/index.php(222): Engine_Application->bootstrap() #12 /mnt/disks/disk-1/www/html/index.php(27): include('/mnt/disks/disk...') #13 {main}</pre>


    This post was edited by Drew at May 12, 2018 11:23 PM EDT
  • gs
    • 820 posts
    May 13, 2018 1:51 AM EDT

    Q#01  What version of SE?

    Q#02  What does the host have to say, or are you on your own in the move process (asking for clarification on who the 'I am' refers to)?

    Q#03  When do you receive this error?

    • 2594 posts
    May 13, 2018 5:55 AM EDT

    Definitely need more info. If you aren't on version 4.9.4 or 4.10 then your version doesn't support PHP 7.2. SEPHP version 4.9 supports PHP 7 but a bug was fixed in one of the 4.9 releases to make it work in 7.2. Also, your plugins may not be updated to support PHP 7.2 if you are on a current SEPHP version.

    • 2 posts
    May 13, 2018 8:55 AM EDT
    Thank you for your prompt responses!

    I am on version 4.9.4p2 and am on my own moving it.

    I receive this error in the main.log fiĺe after I attempt to load the site. The site shows a generic site experiencing difficulties error.

    Thank you!

    Drew
    • 2594 posts
    May 14, 2018 5:13 AM EDT

    You probably need to upgrade or disable third party plugins to see if it's those. I recommend upgrading.

    • 2594 posts
    May 14, 2018 5:13 AM EDT

    You probably need to upgrade or disable third party plugins to see if it's those. I recommend upgrading.

    • 53 posts
    May 16, 2018 2:55 PM EDT

    First of all, lets break down some common issues

    1. When moving from server a to b, I ALWAYS without fail suggest turning off all caching. If you forget, thats fine, you just go to /application/settings/cache.php - in that same directory there is a "sample" file - just change your existing cache.php to cache.php.oldserver or whatever you want and then COPY (do not just change the name) to cache.php - 95% of my issues moving clients from existing systems to our web clusters get fixed with this simple fix. Once you are done, go back into the admin panel under caching and set it all back up for your new server

    2. The second suggestion I offer people is rename /temporary and then upload a default copy. yes, there are a COUPLE of examples this won't work or should not be done, but no harm no foul on this. This cleans up any temp cache files and other issues from your previous server. It is also good for testing purposes.

    If both of those don't work, let me know and we can dive into it a little more.

     

    • 2594 posts
    May 16, 2018 4:00 PM EDT

    Thanks FMRyan! The tutorial linked did mention to change the cache setting before starting and also to change the cache file as part of the steps. Perhaps it was missed. Clearing cache was also mentioned.